From bbf43083519315ff9832e14b50dc2fa8c9224236 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Tue, 3 Jan 2023 22:18:15 +0700
Subject: [PATCH 01/10] Support PPC in Makefile

---
 Makefile | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/Makefile b/Makefile
index 50b2fa0..e7afc62 100644
--- a/Makefile
+++ b/Makefile
@@ -83,7 +83,6 @@ CC = gcc
 ifeq ($(CPUVENDOR),GenuineIntel)
 CC = icc
 endif
-CFLAGS += -march=native
 CFLAGS += -m64
 CFLAGS += -march=native
 DEFINE += -D__x86_64__
@@ -91,6 +90,18 @@ ifeq ($(HAS_MKL), 1)
 DEFINE += -D__MKL__
 endif
 endif
+ifeq ($(ARCH),ppc)
+CC = gcc
+CFLAGS += -mtune=native
+CFLAGS += -arch ppc
+DEFINE += -Dppc
+endif
+ifeq ($(ARCH),ppc64)
+CC = gcc
+CFLAGS += -mtune=native
+CFLAGS += -arch ppc64
+DEFINE += -Dppc64
+endif
 ifeq ($(CC), gcc)
 endif
 ifeq ($(CC), icc)
-- 
2.39.0

